{***************************************************************************}
{ TMS IntraWeb Planner Components                                           }
{ for Delphi & C++Builder                                                   }
{                                                                           }
{ written by TMS Software                                                   }
{            Copyright  2002 - 2013                                        }
{            Email : info@tmssoftware.com                                   }
{            Web : http://www.tmssoftware.com                               }
{                                                                           }
{ The source code is given as is. The author is not responsible             }
{ for any possible damage done due to the use of this code.                 }
{ The component can be freely used in any application. The complete         }
{ source code remains property of the author and may not be distributed,    }
{ published, given or sold in any form as such. No parts of the source      }
{ code can be included in any other component or application without        }
{ written authorization of the author.                                      }
{***************************************************************************}

unit IWCustomPlanner;

interface

uses
  IWWebPlanner, IWDBWebPlanner, Classes;

type
  TCustomPlannerItem = class(TPlannerItem)
  private
    FCustomProperty: string;
    procedure SetCustomProperty(const Value: String);
  public
    constructor Create(Collection: TCollection); override;
  published
    property CustomProperty: String read FCustomProperty write SetCustomProperty;
  end;

  TCustomPlannerItems = class(TPlannerItems)
  public
    function GetItemClass: TCollectionItemClass; override;
  end;

  TTIWCustomPlanner = class(TTIWDBWebPlanner)
  private
  protected
    function CreateItems: TPlannerItems; override;
  public
  published
  end;


implementation

constructor TCustomPlannerItem.Create(Collection: TCollection);
begin
  inherited Create(Collection);
end;

procedure TCustomPlannerItem.SetCustomProperty(const Value: String);
begin
  FCustomProperty := Value;
end;

function TCustomPlannerItems.GetItemClass: TCollectionItemClass;
begin
  Result := TCustomPlannerItem;
end;

function TTIWCustomPlanner.CreateItems: TPlannerItems;
begin
  Result := TCustomPlannerItems.Create(Self);
end;



end.
